import * as service from 'src/service/LicenseService'
import init from '../../init'

describe('取权限数据服务', () => {
  before(() => {
    init()
  })

  it('能够获得权限', (done) => {
    service.getData({id: '1531'}).then((data) => {
      console.log(data[0].names)
      done()
    })
  })

  it('能够获得权限路径', (done) => {
    service.getDataNames({id: '48238'}).then((names) => {
      console.log(names)
      done()
    })
  })

  it.only('能够获得所有权限数据', (done) => {
    service.getAllData().then((data) => {
      console.log(JSON.stringify(data))
      done()
    })
  })
})
